FreeMat

- Main Page
- Related Pages

ISSET Test If Variable Set

Section: Inspection Functions

# Usage

Tests for the existence and non-emptiness of a variable. the general syntax for its use is

       y = isset('name')

where `name` is the name of the variable to test. This is functionally equivalent to

       y = exist('name','var') & ~isempty(name)

It returns a `logical` 1 if the variable is defined in the current workspace, and is not empty, and returns a 0 otherwise.

# Example

Some simple examples of using `isset`

    --> who
      Variable Name       Type   Flags             Size
    --> isset('a')

    ans =
     0

    --> a = [];
    --> isset('a')

    ans =
     0

    --> a = 2;
    --> isset('a')

    ans =
     1